Name:           keychecker
Version:        1.0
Release:    	2%{?dist}
Summary:        Generate list of installed packages sorted by GPG key
License:        GPLv2+
URL:            https://github.com/jds2001/keychecker
Source0:        %{url}/archive/v%{version}.tar.gz

Patch0:         0001-Fix-rpm-4.15-compatibility.patch

BuildArch:      noarch
Requires:       python3-rpm


%description
Separately list rpm's based on the GPG key they were signed with


%prep
%autosetup -p 1
sed -e '1 s|python|python3|' -i key_checker.py


%install
install -Dpm 0755 key_checker.py %{buildroot}%{_bindir}/keychecker


%files
%license LICENSE
%doc README
%{_bindir}/keychecker


%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 1.0-2
- [Type] other
- [DESC] Rebrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-1
- initial build
